package com.alterdekim.game.entity;


import com.alterdekim.game.component.game.AvatarInventoryType;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import jakarta.persistence.*;
import lombok.*;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="avatar_inventory")
public class AvatarInventory {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long Id;

    @Column(nullable = false)
    private Long userId;

    @Column(nullable = false)
    private Long goodId;

    @Column(nullable = false)
    private Boolean isUsed;

    @Enumerated(value = EnumType.STRING)
    private AvatarInventoryType type;

    @Column(nullable = false)
    private Integer color = 0;

    public AvatarInventory(Long userId, Long goodId, Boolean isUsed, AvatarInventoryType type) {
        this.userId = userId;
        this.goodId = goodId;
        this.isUsed = isUsed;
        this.type = type;
    }

    public AvatarInventory(Long userId, Long goodId, Boolean isUsed, AvatarInventoryType type, Integer color) {
        this.userId = userId;
        this.goodId = goodId;
        this.isUsed = isUsed;
        this.type = type;
        this.color = color;
    }
}